Subject: Re: nt sshd probs
From: [email-masked] (JJ Streicher-Bremer)

14 Nov 1998 04:37:07 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: dave safian <[email-masked]>
Cc: [email-masked]

I ran into this problem when I set up sshd myself.  I don't recall
exactly what it was that caused it, but check these things

Path must include the sshd1.exe and the shell
set CYGWIN=  tty (or CYGWIN=tty depending on the patch level of
cygwin1.dll)
Make sure your mount points are correct

I actually have sshd set up as a service and that runs quite well.  To
make it easy for me to change the startup env I have the service start a
batch file that in turn starts sshd. Here it is.

set CYGWIN=tty binmode title strip_title glob
path = d:\apps\unix\usr\bin;d:\apps\usr\local\bin;d:\apps\usr\local\sbin
del d:\apps\unix\var\run\utmp
touch d:\apps\unix\var\run\utmp
start d:\apps\unix\usr\local\sbin\sshd1.exe

I hope this helps.

JJ

dave safian wrote:
> 
> When running the nt port of sshd, I get the following error shortly after authentication
> 
> log: Password authentication for dsafian acepted
> debug: Allocating pty.
> debug: Forking Shell
> debug  Entering interactive session.
> error: Failed to disconnect from controlling pty
> 
> I'm using 20b and sshd 1-2-26 on NT4.0 using SP4.
> Any idea what I could do to fix this?
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".